## org.eclipse.amp.agf.gef
Class EditPartViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart
                          org.eclipse.amp.agf.gef.EditPartViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  ChartViewPart, GEF3DViewPart, GEFViewPart, GraphicsViewPart, TreeViewPart

    public abstract class EditPartViewPart

extends AGFViewPart

Field Summary
`static double[]` `ZOOM_LEVELS`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`EditPartViewPart()`

Method Summary
`void` `createModelListeners()` Creates the model listeners.
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`abstract org.eclipse.gef.RootEditPart` `createRoot()`
`java.lang.Object` `getAdapter(java.lang.Class type)`
`org.eclipse.gef.EditPart` `getEditPart()`
`org.eclipse.gef.RootEditPart` `getRootEditPart()`
`EditPartListener` `getRootListener()`
`org.eclipse.gef.EditPartViewer` `getViewer()`
`org.eclipse.gef.editparts.ZoomManager` `getZoomer()`
`void` `setInput(org.eclipse.ui.IEditorInput input)` Sets the input.

Methods inherited from class org.eclipse.amp.agf.gef.AGFViewPart
`createSelectionSynchronizer, dispose`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, setFocus, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Field Detail

### ZOOM_LEVELS

    public static double[] ZOOM_LEVELS

Constructor Detail

### EditPartViewPart

    public EditPartViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `AGFViewPart`
  See Also:
    `ModelViewPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### createRoot

    public abstract org.eclipse.gef.RootEditPart createRoot()

### setInput

    public void setInput(org.eclipse.ui.IEditorInput input)

  Description copied from class: `ModelViewPart`
  Sets the input.

  Overrides:
    `setInput` in class `ModelViewPart`
  Parameters:
    `input` - the new input

### createModelListeners

    public void createModelListeners()

  Description copied from interface: `IModelPart`
  Creates the model listeners.

  Specified by:
    `createModelListeners` in interface `IModelPart`
  Overrides:
    `createModelListeners` in class `ModelViewPart`
  See Also:
    `IModelPart.createModelListeners()`

### getEditPart

    public org.eclipse.gef.EditPart getEditPart()

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `AGFViewPart`
  See Also:
    `WorkbenchPart.getAdapter(java.lang.Class)`

### getViewer

    public org.eclipse.gef.EditPartViewer getViewer()

### getRootListener

    public EditPartListener getRootListener()

### getZoomer

    public org.eclipse.gef.editparts.ZoomManager getZoomer()

### getRootEditPart

    public org.eclipse.gef.RootEditPart getRootEditPart()

  Returns:
    the rootEditPart